#!/bin/sh

[ -f "$1" -a -n "$2" -a -f "$3" -a -n "$4" ] || {
	echo "Usage: $0 /path/to/kernel.image kernel_name /path/to/rootfs.image rootfs_name [output-file]"
	exit 1
}

( printf "FF%08x%-16s%08x%-16s%65486s" \
	$(stat -c "%s" "$1") ${2:-vmlinux.bin.l7} \
	$(stat -c "%s" "$3") ${4:-rootfs} "";
	cat "$1" "$3"
) > ${5:-openwrt-atheros-combined.img}
